Name:          quartz
Version:       1.7.3
Release:       %mkrel 1
Summary:       Quartz Enterprise Job Scheduler
Group:         Development/Java
License:       ASL 2.0
URL:           http://www.opensymphony.com/quartz/
# svn export http://svn.terracotta.org/svn/quartz/tags/quartz-1.7.3/
# tar czf quartz-1.7.3-src-svn.tar.gz quartz-1.7.3
Source0:       quartz-1.7.3-src-svn.tar.gz
Patch0:        quartz-1.7.3-fixbuild.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-dbcp
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-modeler >= 2.0.1-9
BuildRequires: apache-commons-pool
BuildRequires: apache-commons-validator
BuildRequires: geronimo-j2ee-1.4-api
BuildRequires: geronimo-jms
BuildRequires: geronimo-jta-1.0.1B-api
BuildRequires: glassfish-jaf
BuildRequires: javamail
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: objectweb-asm
BuildRequires: tomcat6-servlet-2.5-api

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: rmic-maven-plugin

Requires:      apache-commons-beanutils
Requires:      apache-commons-dbcp
Requires:      apache-commons-digester
Requires:      apache-commons-logging
Requires:      apache-commons-modeler >= 2.0.1-9
Requires:      apache-commons-pool
Requires:      apache-commons-validator
Requires:      geronimo-j2ee-1.4-api
Requires:      geronimo-jms
Requires:      geronimo-jta-1.0.1B-api
Requires:      glassfish-jaf
Requires:      javamail
Requires:      liblog4j-java
Requires:      tomcat6-servlet-2.5-api

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Quartz is a job scheduling system that can be integrated with, or used
along side virtually any J2EE or J2SE application. Quartz can be used
to create simple or complex schedules for executing tens, hundreds, or
even tens-of-thousands of jobs; jobs whose tasks are defined as standard
Java components or EJBs.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep

%setup -q -n %{name}-%{version}

for j in $(find . -name "*.jar"  -o -name '*.bat' ); do
  rm -rf $j
done
%patch0 -p1
for d in LICENSE NOTICE README ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -m 644 %{name}/target/%{name}-%{version}.jar %{buildroot}%{_javadir}

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_to_maven_depmap org.%{name}-scheduler %{name}-parent %{version} JPP %{name}-parent

install -m 644 %{name}/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.%{name}-scheduler %{name} %{version} JPP %{name}
# backward compatibility
#dd_to_maven_depmap opensymphony %{name} %{version} JPP %{name}
#dd_to_maven_depmap %{name} %{name} %{version} JPP %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt QuartzQuickStart.html README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Oct 21 2011 gil <gil> 1.7.3-1.mga2
+ Revision: 157076
- imported package quartz

